GNU Radio's SATELLITES Package

gr::satellites::pdu_scrambler Class Reference

PDU Scrambler. More...

`#include <pdu_scrambler.h>`

Inheritance diagram for gr::satellites::pdu_scrambler:
[legend]

## Public Types
typedef boost::shared_ptr< pdu_scrambler > | sptr

## Static Public Member Functions
static sptr | make (const std::vector< uint8_t > &sequence)
| Build the PDU Scrambler block.

## Detailed Description

PDU Scrambler.

Uses a predefined sequence to implement a synchronous scrambler that acts on PDUs. The scrambling sequence needs to be longer than the PDUs that the block will process. PDUs which are longer than the sequence are dropped.

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<pdu_scrambler> gr::satellites::pdu_scrambler::sptr

## Member Function Documentation

## ◆ make()

sptr gr::satellites::pdu_scrambler::make | ( | const std::vector< uint8_t > & | sequence | ) |
| static

Build the PDU Scrambler block.

Parameters

  sequence | The scrambling sequence to use.

The documentation for this class was generated from the following file:

- pdu_scrambler.h